Package Gnumed :: Package business :: Module gmMedication |
[frames] | no frames]

# Module gmMedication

source code

Medication handling code.

license: GPL v2 or later

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

Classes
| cGelbeListeCSVFile Iterator over a Gelbe Liste/MMI v8.2 CSV file.
| cDrugDataSourceInterface
| cFreeDiamsInterface
| cGelbeListeWindowsInterface Support v8.2 CSV file interface only.
| cGelbeListeWineInterface
| cIfapInterface empirical CSV interface
| cConsumableSubstance
| cSubstanceMatchProvider
| cSubstanceIntakeEntry Represents a substance currently taken by a patient.
| cDrugComponent
| cDrugComponentMatchProvider
| cBrandedDrug Represents a drug as marketed by a manufacturer.

Functions
drug2renal_insufficiency_url(search_term=None) | source code
get_consumable_substances(order_by=None) | source code
create_consumable_substance(substance=None, atc=None, amount=None, unit=None) | source code
delete_consumable_substance(substance=None) | source code
substance_intake_exists(pk_component=None, pk_substance=None, pk_identity=None) | source code
create_substance_intake(pk_substance=None, pk_component=None, preparation=None, encounter=None, episode=None) | source code
delete_substance_intake(substance=None) | source code
format_substance_intake_notes(emr=None, output_format=u'latex', table_type=u'by-brand') | source code
format_substance_intake(emr=None, output_format=u'latex', table_type=u'by-brand') | source code
get_drug_components() | source code
get_branded_drugs() | source code
get_drug_by_brand(brand_name=None, preparation=None) | source code
create_branded_drug(brand_name=None, preparation=None, return_existing=False) | source code
delete_branded_drug(brand=None) | source code

Variables
| DEFAULT_MEDICATION_HISTORY_EPISODE = `_('Medication history')`
| drug_data_source_interfaces = `{'Deutschland: Gelbe Liste/MMI (`...``

Imports: sys, logging, csv, codecs, os, regex, subprocess, decimal, etree, pydt, gmBusinessDBObject, gmTools, gmShellAPI, gmPG2, gmDispatcher, gmMatchProvider, gmHooks, gmDateTime, gmATC, gmAllergy, gmCoding, DOCUMENT_TYPE_PRESCRIPTION, create_document_type

Variables Details

  ### drug_data_source_interfaces Value:
      {'Deutschland: Gelbe Liste/MMI (Windows)': cGelbeListeWindowsInterface
      , 'Deutschland: Gelbe Liste/MMI (WINE)': cGelbeListeWineInterface, 'Fr
      eeDiams (FR, US, CA, ZA)': cFreeDiamsInterface}